curs_printw(3X)

NAME
curs_printw: printw, wprintw, mvprintw, mvwprintw, vwprintw - print formatted output in ncurses windows

SYNOPSIS
#include <ncurses.h> int printw(char *fmt [, arg] ...);
int wprintw(WINDOW *win, char *fmt [, arg] ...);
int mvprintw(int y, int x, char *fmt [, arg] ...);
int mvwprintw(WINDOW *win, int y, int x,
      char *fmt [, arg] ...); #include <varargs.h>
int vwprintw(WINDOW *win, char *fmt, varglist);

DESCRIPTION
The printw, wprintw, mvprintw and mvwprintw routines are analogous to printf [see printf(3S)]. In effect, the string that would be output by printf is output instead as though waddstr were used on the given window. The vwprintw routine is analogous to vprintf [see printf(3S)] and performs a wprintw using a variable argument list. The third argument is a va_list, a pointer to a list of arguments, as defined in <varargs.h>.

RETURN VALUE
All routines return the integer ERR upon failure and an integer value other than ERR upon successful completion.

SEE ALSO
ncurses(3X), printf(3S), vprintf(3S)